import { httpApp } from "@/plugins/axiosIndex";
import { pickBy } from "lodash-es";
import { object2QueryString } from "@/utils/utils";

export function searchActivities({
  examId = "",
  code = "",
  pageNumber = 1,
  pageSize = 10,
}) {
  const data = pickBy({ examId, code, pageNumber, pageSize }, (v) => v !== "");
  return httpApp.post("/api/admin/activity/query?" + object2QueryString(data));
}

export function saveActivity({
  id = "",
  code = "",
  enable = 1,
  examId = "",
  finishTime = "",
  maxDurationSeconds = 0,
  openingSeconds = 0,
  prepareSeconds = 0,
  startTime = "",
}) {
  const data = pickBy(
    {
      id,
      code,
      enable,
      examId,
      finishTime,
      maxDurationSeconds,
      openingSeconds,
      prepareSeconds,
      startTime,
    },
    (v) => v !== ""
  );
  return httpApp.post("/api/admin/activity/save", data);
}

export function toggleEnableActivity() {}
